package model.actualiseur;

import model.CellulesVivantes;
import model.arbitre.Arbitre;
import model.plateau.Plateau;

public abstract class ActualiseurCellule {
	private Arbitre arbitre;
	public abstract void changerCellule(int x, int y, CellulesVivantes reference);

	ActualiseurCellule(Arbitre arbitre) throws IllegalArgumentException{
		if(arbitre == null) {
			throw new IllegalArgumentException("L'arbitre ne peut pas être null!");
		}
		this.arbitre = arbitre;
	}

	public Arbitre getArbitre() {
		return arbitre;
	}
}
