package model.arbitre;

import model.CellulesVivantes;
import model.CompteurDeCellule;
import model.plateau.Plateau;
import model.cellule.CellState;

public abstract class Arbitre {

	private Plateau plateau;
	private CompteurDeCellule compteurCell;

	public Arbitre(Plateau plateau) {
		this.plateau = plateau;
		compteurCell = new CompteurDeCellule();
	}
	public Plateau getPlateau(){
		return plateau;
	}

	protected CompteurDeCellule getCompteurCell(){
		return compteurCell;
	}
	public abstract CellState verifierChangementCellules(int x, int y, CellulesVivantes reference);
}
