package model.boucleDeJeu;

import model.boucleDeJeu.observer.ObservableBDJ;

import java.util.LinkedList;

public class BoucleDeJeu5FPS extends ObservableBDJ implements IBoucleDeJeu {
		public BoucleDeJeu5FPS(){
			setObserveurs(new LinkedList<>());
		}
		@Override
		public void run()
		{
			while (true){
				try {
					Thread.sleep(200);
					beep();
				}

				// Gestion des exceptions : si le processus à été intérompu pendant le sleep, on le log.
				catch (InterruptedException e)
				{
					return;
				}
			}
		}

		public void beep() {
			notifier();
		}
}
