package model;

import model.actualiseur.ActualiseurCellule;
import model.actualiseur.ActualiseurEtatCellule;
import model.arbitre.ArbitreConwayStyle;
import model.plateau.Plateau;

public class ChangeurRegle {
	public ActualiseurCellule changerRegle(Regle regle, Plateau plateau){
		switch (regle){
			case CONWAY_STYLE -> {
				return new ActualiseurEtatCellule(new ArbitreConwayStyle(plateau));
			}
			default -> throw new IllegalArgumentException("Regle Inconue");
		}
	}
}
